# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun9i-a80-usb-mod-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A80 USB Module Clock Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

properties:
  "#clock-cells":
    const: 1
    description: >
      The additional ID argument passed to the clock shall refer to
      the index of the output.

  "#reset-cells":
    const: 1

  compatible:
    const: allwinner,sun9i-a80-usb-mod-clk

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-output-names:
    maxItems: 6

required:
  - "#clock-cells"
  - "#reset-cells"
  - compatible
  - reg
  - clocks
  - clock-output-names

additionalProperties: false

examples:
  - |
    clk@a08000 {
        #clock-cells = <1>;
        #reset-cells = <1>;
        compatible = "allwinner,sun9i-a80-usb-mod-clk";
        reg = <0x00a08000 0x4>;
        clocks = <&ahb1_gates 1>;
        clock-output-names = "usb0_ahb", "usb_ohci0",
                             "usb1_ahb", "usb_ohci1",
                             "usb2_ahb", "usb_ohci2";
    };

...
